summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlex Brandt <alunduil@gentoo.org>2016-01-24 13:24:35 -0600
committerAlex Brandt <alunduil@gentoo.org>2016-01-24 13:24:35 -0600
commite9c764857a8ba42dc9b0063fa140aa4ca314baf5 (patch)
tree0bc977e5dd2d66b5897bc17acb93baef7181903f
parentsys-kernel/gentoo-sources: Remove vulnerable version. (diff)
downloadgentoo-e9c764857a8ba42dc9b0063fa140aa4ca314baf5.tar.gz
gentoo-e9c764857a8ba42dc9b0063fa140aa4ca314baf5.tar.bz2
gentoo-e9c764857a8ba42dc9b0063fa140aa4ca314baf5.zip
dev-python/livereload: add version 2.4.1
Package-Manager: portage-2.2.27
-rw-r--r--dev-python/livereload/Manifest1
-rw-r--r--dev-python/livereload/livereload-2.4.1.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/dev-python/livereload/Manifest b/dev-python/livereload/Manifest
index 5efc59e56cb..24275ae46ea 100644
--- a/dev-python/livereload/Manifest
+++ b/dev-python/livereload/Manifest
@@ -1,2 +1,3 @@
DIST livereload-2.3.2.tar.gz 24119 SHA256 fa2959005a134d767409c129cbf94528a0eb5022c915da9c685e14f1adb81b63 SHA512 59dc5be184d80a8b3aa6f98a6bc12f98f2efe00a0497deadfe5275222be2e0865e182cf0d83fc7a6e5f7297a7bf26a30c3ad9af5eeb2517af8b7ab3946e4bb1d WHIRLPOOL acf0c4ffa017a65d67423bb28b36cfd4e8acec59c47cc845f98669a3368920fa1e4e33b4c86e00082aeb416225066091305adcf1e8919071825a192ab5127180
DIST livereload-2.4.0.tar.gz 25258 SHA256 a3f162357d886710a317f6f8c0595ac1db176bd9db171f0ca751c4954c29b5e2 SHA512 9b961ed41224359e986873973840fae43387af1b773328ab1262d095879aeff98090d736d696abdfcd9b2f1c127a061a29d044df7cfa15ba218b0162576093a3 WHIRLPOOL 268d274d57b1e7f7587fd690dac2bae7051dde2d1b110a8953a84eea6e08017488d4ee0e59fbc1bb0a9468d7925913ca8cb28a74c13c291fd7e004a5322160cf
+DIST livereload-2.4.1.tar.gz 25593 SHA256 8a29fe9c869181f8e1617c2e32d6a3bf896d7da20267dc682150e7c98d230b55 SHA512 9106fe1894092ab336270f539be41d4db2d277560a41898e45014e34783ab0b601c993a5a5831c951d313db98ea835aecc8eb31468ba186e243a28df75bfe9bb WHIRLPOOL 70142a5bc1c6c7c4d2af20840eff93a19db7842dfa8b1d3ffd79904c924e9f6e9f93fd6c3dac976d22ace3cdbb833eb57f2ccb26b6abf0e03d67a57d97d845fd
diff --git a/dev-python/livereload/livereload-2.4.1.ebuild b/dev-python/livereload/livereload-2.4.1.ebuild
new file mode 100644
index 00000000000..b812bba2f0d
--- /dev/null
+++ b/dev-python/livereload/livereload-2.4.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 )
+
+inherit distutils-r1 vcs-snapshot
+
+DESCRIPTION="Python LiveReload is an awesome tool for web developers"
+HOMEPAGE="https://github.com/lepture/python-livereload"
+SRC_URI="https://github.com/lepture/python-${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="examples test"
+
+CDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="
+ ${CDEPEND}
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+
+RDEPEND="
+ ${CDEPEND}
+ dev-python/six[${PYTHON_USEDEP}]
+ www-servers/tornado[${PYTHON_USEDEP}]
+"
+
+python_test() {
+ nosetests || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use examples && local EXAMPLES=( example/. )
+
+ distutils-r1_python_install_all
+}